Subject: Re: [PATCH net-next 2/2] amd-xgbe: add support for rx-adaptation

From: Jakub Kicinski <[email-masked]>
Date: Tue, 31 Jan 2023 11:11:55 -0800

On Tue, 31 Jan 2023 15:26:14 +0530 Raju Rangoju wrote:
> > Sure, I've re-ordered most of the functions correctly to avoid forward 
> > declarations. However, there is circular dependency on couple of them. 
> > Let us know if its fine to have forward declaration for the functions 
> > that have circular-dependency.  
> 
> Gentle reminder!
> 
> Let us know if it is okay to have forward declarations for functions 
> that have circular dependency.

Yes, in case of circular dependencies there's not much we can do.